%{?nodejs_find_provides_and_requires}

%global packagename babel-helper-function-name
%global enable_tests 1

Name:		nodejs-babel-helper-function-name
Version:	6.24.1
Release:	1%{?dist}
Summary:	Helper function to change the property 'name' of every function

License:	MIT
URL:		https://github.com/babel/babel/tree/master/packages/babel-helper-function-name
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

# license
Source1:	https://raw.githubusercontent.com/babel/babel/v%{version}/LICENSE

BuildArch:	noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
#BuildRequires:	
%endif

%description
Helper function to change the property 'name' of every function


%prep
%autosetup -n package
cp -p %{SOURCE1} .

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
#%%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/echo -e "\e[103m -=#=- This module has no tests -=#=- \e[0m"
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Apr 26 2018 Jared K. Smith <jsmith@fedoraproject.org> - 6.24.1-1
- Initial packaging
